/* beispiel_ls4_03.sql - Beispiele für den Umgang mit SQL (II) - Funktionen, Gruppieren, Mehrere Tabellen kombinieren
    Name, Organisaion:          Markus Breuer, BK-GuT
    Erstellt, Letzte Änderung:  22.03.2021, 09.05.2023
*/

/* Datenbank auswählen */
USE w3schools;

/* Alle Produktnamen und Preise anzeigen, nach Preis aufsteigend sortiert */
SELECT
    ProductName,
    Price
FROM
    products
ORDER BY
    Price;

/* Maximalen, minimalen und durchschnittlichen Preis anzeigen */
SELECT
    MAX(Price),
    MIN(Price),
    AVG(Price)
FROM
    products;

/* Die Namen der Kunden anzeigen und ihre jeweiligen Bestelldaten (im Sinne von Datum *) - Zwei Möglichkeiten */
SELECT
    customers.customername,
    orders.orderdate
FROM
    customers,
    orders
WHERE
    customers.CustomerID = orders.CustomerID;

SELECT
    customers.customername,
    orders.orderdate
FROM
    customers
    INNER JOIN orders ON customers.CustomerID = orders.CustomerID;

/* Die Namen aller Kunden anzeigen und ihre jeweiligen Bestelldaten (im Sinne von Datum *) */
SELECT
    customers.customername,
    orders.orderdate
FROM
    customers
    LEFT JOIN orders ON customers.CustomerID = orders.CustomerID;

/* Anzahl aller Kunden anzeigen */
SELECT
    count(*)
FROM
    customers;

/* Anzahl der Kunden pro Land anzeigen */
SELECT
    country,
    count(*) AS anzahl
FROM
    customers
GROUP BY
    country
ORDER BY
    anzahl DESC;
