/* beispiel_ls4_04db.sql - Beispieldatenbank LS4-Joins
    Name, Organisaion:          Markus Breuer, BK-GuT
    Erstellt, Letzte Änderung:  29.04.2021, 21.06.2022
*/

/* Datenbank anlegen */
DROP DATABASE IF EXISTS beispiel_ls4_joins;

CREATE DATABASE beispiel_ls4_joins DEFAULT CHARACTER SET utf8;

USE beispiel_ls4_joins;

/* Tabellen anlegen */
CREATE TABLE kunden (
    KundenID int(11) NOT NULL AUTO_INCREMENT,
    KundenName varchar(255) DEFAULT NULL,
    PRIMARY KEY (KundenID)
);

CREATE TABLE bestellungen (
    BestellungsID int(11) NOT NULL AUTO_INCREMENT,
    KundenID int(11) DEFAULT NULL,
    Bestellungsdatum date DEFAULT NULL,
    PRIMARY KEY (BestellungsID)
);

/* Beispieldaten einfügen */
INSERT INTO
    kunden (KundenID, KundenName)
VALUES
    (1, "Kunde A"),
    (2, "Kunde B"),
    (3, "Kunde C"),
    (4, "Kunde D"),
    (5, "Kunde E");

INSERT INTO
    bestellungen (BestellungsID,  KundenID, Bestellungsdatum)
VALUES
    (1, 1, "2021-01-15"),
    (2, 1, "2021-01-16"),
    (3, 2, "2021-01-17"),
    (4, NULL, "2021-01-18"),
    (5, NULL, "2021-01-19");